apt: pkgPackageManager Class Reference

apt 2.7.5 commandline package manager

Public Types | Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
pkgPackageManager Class Reference
Inheritance diagram for pkgPackageManager:

## Public Types
enum | OrderResult { Completed , Failed , Incomplete }

## Public Member Functions
bool | GetArchives (pkgAcquire *Owner, pkgSourceList *Sources, pkgRecords *Recs)
OrderResult | DoInstall (APT::Progress::PackageManager *progress)
OrderResult | DoInstallPreFork ()
OrderResult | DoInstallPostFork (APT::Progress::PackageManager *progress)
bool | FixMissing ()
std::set< std::string > | GetDisappearedPackages ()
| returns all packages dpkg let disappear
| pkgPackageManager (pkgDepCache *Cache)

## Static Public Attributes
static bool | SigINTStop = false

## Protected Member Functions
void | ImmediateAdd (PkgIterator P, bool UseInstallVer, unsigned const int &Depth=0)
virtual OrderResult | OrderInstall ()
bool | CheckRConflicts (PkgIterator Pkg, DepIterator Dep, const char *Ver)
bool | CheckRBreaks (PkgIterator const &Pkg, DepIterator Dep, const char *const Ver)
bool | CreateOrderList ()
bool | DepAlwaysTrue (DepIterator D) APT_PURE
bool | ConfigureAll ()
bool | SmartConfigure (PkgIterator Pkg, int const Depth) APT_MUSTCHECK
bool | SmartUnPack (PkgIterator Pkg, bool const Immediate=true, int const Depth=0) APT_MUSTCHECK
bool | SmartRemove (PkgIterator Pkg) APT_MUSTCHECK
bool | EarlyRemove (PkgIterator Pkg, DepIterator const *const Dep) APT_MUSTCHECK
virtual bool | Install (PkgIterator, std::string)
virtual bool | Configure (PkgIterator)
virtual bool | Remove (PkgIterator, bool=false)
virtual bool | Go (APT::Progress::PackageManager *)
virtual void | Reset ()

## Protected Attributes
std::string * | FileNames
pkgDepCache & | Cache
pkgOrderList * | List
bool | Debug
bool | NoImmConfigure
bool | ImmConfigureAll
std::set< std::string > | disappearedPkgs
| saves packages dpkg let disappear
OrderResult | Res

## Friends
bool | EIPP::OrderInstall (char const *const planner, pkgPackageManager *const PM, unsigned int const version, OpProgress *const Progress)
bool | EIPP::ReadResponse (int const input, pkgPackageManager *const PM, OpProgress *const Progress)

## Additional Inherited Members
Protected Types inherited from pkgCache< Str, Itr >::Namespace
typedef pkgCache::GrpIterator | GrpIterator
typedef pkgCache::PkgIterator | PkgIterator
typedef pkgCache::VerIterator | VerIterator
typedef pkgCache::DescIterator | DescIterator
typedef pkgCache::DepIterator | DepIterator
typedef pkgCache::PrvIterator | PrvIterator
typedef pkgCache::RlsFileIterator | RlsFileIterator
typedef pkgCache::PkgFileIterator | PkgFileIterator
typedef pkgCache::VerFileIterator | VerFileIterator
typedef pkgCache::Version | Version
typedef pkgCache::Description | Description
typedef pkgCache::Package | Package
typedef pkgCache::Header | Header
typedef pkgCache::Dep | Dep
typedef pkgCache::Flag | Flag

## Member Function Documentation

## ◆ EarlyRemove()

bool EarlyRemove | ( | PkgIterator | Pkg,
|  | DepIterator const *const | Dep
| ) |  |
| protected

Todo:
  Unify messaging with Protected below.

Todo:
  Message should talk about Protected, not Essential, and unified.

## ◆ Go()

virtual bool Go | ( | APT::Progress::PackageManager * |  | ) |
| inlineprotectedvirtual

Reimplemented in pkgDPkgPM.

## Member Data Documentation

## ◆ disappearedPkgs

std::set<std::string> disappearedPkgs
| protected

saves packages dpkg let disappear

This way APT can retreat from trying to configure these packages later on and a front-end can choose to display a notice to inform the user about these disappears.

Referenced by pkgDPkgPM::Go().

The documentation for this class was generated from the following files:

- apt-pkg/packagemanager.h
- apt-pkg/packagemanager.cc